function cd = getDrag(v, h, x, coeffs)

% Function to compute the CA through a correlation.
% INPUT:    
%       v       Velocity [m/s]
%       h       Altitude [m]
%       x       Aerobrakes extension [m]
%       S       Aerobrake surface
%       coeffs  struct that contains the coefficients 

% coeffs
% coeffs.n000

M    = getMach(v, h);

cd   =  coeffs.n000 + ...
        coeffs.n100.*M + coeffs.n200.*M.^2 + ...
        coeffs.n300.*M.^3 + coeffs.n400.*M.^4 + ...
        coeffs.n500.*M.^5 + coeffs.n600.*M.^6 + ...
        coeffs.n010.*x + coeffs.n020.*x.^2 + ...
        coeffs.n110.*x.*M + coeffs.n120.*x.^2.*M + ...
        coeffs.n210.*x.*M.^2 + coeffs.n220.*x.^2.*M.^2 + ...
        coeffs.n310.*x.*M.^3 + coeffs.n320.*x.^2*M.^3 + ...
        coeffs.n410.*x.*M.^4 + coeffs.n420.*x.^2*M.^4 + ...
        coeffs.n510.*x.*M.^5 + coeffs.n520.*x.^2*M.^5 + ...
        coeffs.n001.*h;

    
end