%{
export configuration files for NAS algorithm (for our friends of software development)
%}

        folder = "HIL_CPP_files_NAS";
        if ~exist(ConDataPath+"/"+folder,"dir")
            mkdir(ConDataPath+"/"+folder)
        end

        % first file: configuration parameters
        configNAS_export_table = table;
        configValues = [settings.frequencies.NASFrequency,nan,settings.nas.sigma_baro,...
            settings.nas.sigma_GPS(1,1),settings.nas.sigma_GPS(3,3),...
            settings.nas.sigma_mag,settings.nas.sigma_beta,...
            settings.nas.sigma_pitot2,settings.nas.sigma_w,settings.nas.sigma_acc...
            sqrt(settings.nas.QLinear(1,1)),sqrt(settings.nas.QLinear(4,4)),settings.nas.P(1,1),...
            settings.nas.GPS.a, settings.nas.GPS.b, settings.nas.ned_mag(1),...
            settings.nas.ned_mag(2),settings.nas.ned_mag(3),settings.nas.baro.a,...
            settings.nas.baro.n,settings.nas.stopPitotAltitude,settings.nas.PitotThreshold,...
            settings.nas.mag_decimate,settings.nas.acc1g_confidence,settings.nas.acc1g_samples];
        configNASvarNames = {'NAS_FREQUENCY','ACCELERATION_THRESHOLD','SIGMA_BARO',...
            'SIGMA_GPS_POS','SIGMA_GPS_VEL','SIGMA_MAG','SIGMA_BETA','SIGMA_PITOT','SIGMA_W','SIGMA_ACC',...
            'SIGMA_POS','SIGMA_VEL','P_0','GPS_lat_const','GPS_lon_const','NED_MAG_N',...
            'NED_MAG_E','NED_MAG_D','BARO_T_COEFF','BARO_P_COEFF','PITOT_ALT_THRESHOLD',...
            'PITOT_VEL_THRESHOLD','MAG_DECIMATE','1g_CONFIDENCE','1G_SAMPLES'}; 
        for i = 1:size(configValues,2)
            configNAS_export_table(1,i) = table(configValues(1,i));
        end
        configNAS_export_table.Properties.VariableNames = configNASvarNames;
        writetable(configNAS_export_table,ConDataPath+"/"+folder+"/NAS_configNAS_"+mission.name+".csv")
        